petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCASMSetType

Sets the type of restriction and interpolation used for local problems in the additive Schwarz method.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCASMSetType(PC pc,PCASMType type)

Logically Collective on PC Many br

### Input Parameters

| pc | - the preconditioner context Many br
| type | - variant of ASM, one of Many br

          PC_ASM_BASIC       - full interpolation and restriction
          PC_ASM_RESTRICT    - full restriction, local processor interpolation
          PC_ASM_INTERPOLATE - full interpolation, local processor restriction
          PC_ASM_NONE        - local processor restriction and interpolation

Many br

### Options Database Key

-pc_asm_type [basic,restrict,interpolate,none] -Sets ASM type Many br

Many br

### Keywords

PC, ASM, set, type

### See Also

PCASMSetTotalSubdomains(), PCASMSetTotalSubdomains(), PCASMGetSubKSP(),
PCASMCreateSubdomains2D() Many br

Level:intermediate
Location:src/ksp/pc/impls/asm/asm.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages